// This file added my Mark M

#ifndef UART_H
#define UART_H

#include <ioCC1111.h>

// C language code:
// Define and allocate a setup structure for the UART protocol:
typedef struct {
  unsigned char uartNum : 1; // UART peripheral number (0 or 1)
  unsigned char START : 1; // Start bit level (low/high)
  unsigned char STOP : 1; // Stop bit level (low/high)
  unsigned char SPB : 1; // Stop bits (0 => 1, 1 => 2)
  unsigned char PARITY : 1; // Parity control (enable/disable)
  unsigned char UARTBIT9 : 1; // 9 bit enable (8bit / 9bit)
  unsigned char D9 : 1; // 9th bit level or Parity type
  unsigned char FLOW : 1; // HW Flow Control (enable/disable)
  unsigned char ORDER : 1; // Data bit order(LSB/MSB first)
} UART_PROT_CONFIG;

//UART_PROT_CONFIG __xdata uartProtConfig;

// Define size of allocated UART TX buffer (just an example)
#define SIZE_OF_UART_TX_BUFFER 50

// Allocate buffer+index for UART TX
//unsigned short __xdata uartTxBuffer[SIZE_OF_UART_TX_BUFFER];

void uartMapPort(unsigned char uartPortAlt, unsigned char uartNum);
void uartInitBitrate(unsigned char uartBaudM, unsigned char uartBaudE);
void uartInitProtocol(UART_PROT_CONFIG* uartProtConfig);
void uart0Send(unsigned short* uartTxBuf, unsigned short uartTxBufLength);
void uart1Send(unsigned short* uartTxBuf, unsigned short uartTxBufLength);

#endif